package com.ejie.p06b.datatype.model;

import java.io.Serializable;


/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B35T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String regSede = "";
	private String numEmplSede = "";
	private String numSucur = "";
	private String numEmplSucur = "";
	private String primasSucur = "";
	
	
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the regSede.
	 */
	public String getRegSede() {
		return regSede;
	}
	/**
	 * @param regSede The regSede to set.
	 */
	public void setRegSede(String regSede) {
		this.regSede = regSede;
	}
	
	/**
	 * @return Returns the numEmplSede.
	 */
	public String getNumEmplSede() {
		return numEmplSede;
	}
	/**
	 * @param numEmplSede The numEmplSede to set.
	 */
	public void setNumEmplSede(String numEmplSede) {
		this.numEmplSede = numEmplSede;
	}
	
	/**
	 * @return Returns the numSucur.
	 */
	public String getNumSucur() {
		return numSucur;
	}
	/**
	 * @param numSucur The numSucur to set.
	 */
	public void setNumSucur(String numSucur) {
		this.numSucur = numSucur;
	}
	
	/**
	 * @return Returns the numEmplSucur.
	 */
	public String getNumEmplSucur(){
		return numEmplSucur;
	}
	/**
	 * @param numEmplSucur The numEmplSucur to set.
	 */
	public void setNumEmplSucur(String numEmplSucur) {
		this.numEmplSucur = numEmplSucur;
	}
	
	/**
	 * @return Returns the primasSucur.
	 */
	public String getPrimasSucur() {
		return primasSucur;
	}
	/**
	 * @param primasSucur The primasSucur to set.
	 */
	public void setPrimasSucur(String primasSucur) {
		this.primasSucur = primasSucur;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; RegSede: ");
		textoImprimir.append(regSede);
		textoImprimir.append("; NumEmplSede: ");
		textoImprimir.append(numEmplSede);
		textoImprimir.append("; NumSucur: ");
		textoImprimir.append(numSucur);
		textoImprimir.append("; NumEmplSucur: ");
		textoImprimir.append(numEmplSucur);
		textoImprimir.append("; PrimasSucur: ");
		textoImprimir.append(primasSucur);
		
		return textoImprimir.toString();
	}
	

}
